//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ImageEnIO"
#pragma link "ImageEnProc"
#pragma link "ImageEnView"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FileListBox1Change(TObject *Sender)
{
	if(FileExists(FileListBox1->FileName))
		ImageEnIO1->LoadFromFile( FileListBox1->FileName );
}
//---------------------------------------------------------------------------
// Color adjust
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	ImageEnProc1->DoPreviews(ppeColorAdjust);
}
//---------------------------------------------------------------------------
// Effects
void __fastcall TForm1::Button2Click(TObject *Sender)
{
	ImageEnProc1->DoPreviews(ppeEffects);
}
//---------------------------------------------------------------------------
// Zoom
void __fastcall TForm1::TrackBar1Change(TObject *Sender)
{
   ImageEnView1->Zoom=TrackBar1->Position;
   Label1->Caption="Zoom ("+IntToStr(TrackBar1->Position)+"%)";
}
//---------------------------------------------------------------------------
// Mouse Down
void __fastcall TForm1::ImageEnView1MouseDown(TObject *Sender,
      TMouseButton Button, TShiftState Shift, int X, int Y)
{
	if(Button==mbRight)
       	ImageEnView1->DeSelect();
}
// Copy selection to clipboard
void __fastcall TForm1::Button3Click(TObject *Sender)
{
	ImageEnProc1->SelCopyToClip();
}
//---------------------------------------------------------------------------
// Cut
void __fastcall TForm1::Button5Click(TObject *Sender)
{
	ImageEnProc1->SelCutToClip();
}
//---------------------------------------------------------------------------
// Paste
void __fastcall TForm1::Button4Click(TObject *Sender)
{
	ImageEnProc1->PasteFromClipboard();
}
//---------------------------------------------------------------------------
// Paste In
void __fastcall TForm1::Button6Click(TObject *Sender)
{
	ImageEnProc1->SelPasteFromClipStretch();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormActivate(TObject *Sender)
{
    ImageEnIO1->Params->GIF_LZWDecompFunc=GIFLZWDecompress;
    ImageEnIO1->Params->GIF_LZWCompFunc=GIFLZWCompress;
    ImageEnIO1->Params->TIFF_LZWDecompFunc=TIFFLZWDecompress;
}
//---------------------------------------------------------------------------

